Skip to main content
PUT
Update Tool

Authorizations

X-API-Key
string
header
required

Path Parameters

tool_id
string
required

Body

application/json

Schema for updating a tool via the v1 API.

name
string | null
display_name
string | null
description
string | null
tool_type_id
string | null
secret_key
string | null
additional_info
Additional Info · object | null
prompt
string | null
input_schema
Input Schema · object | null
sources_restrictions
string[] | null
strict_mode
boolean | null
forward_user_auth
boolean | null
admin_tags
string[] | null
required_permissions
string[] | null

Response

200 - application/json

OK

Response schema for tools.

id
string
required
name
string
required
object
string
default:tool
display_name
string | null
description
string | null
tool_type
ToolTypeOut · object | null

Response schema for tool types.

additional_info
Additional Info · object | null
prompt
string | null
input_schema
Input Schema · object | null
strict_mode
boolean
default:false
forward_user_auth
boolean
default:false
sources_restrictions
Sources Restrictions · object[]
admin_tags
Admin Tags · object[]
required_permissions
Required Permissions · object[]